Subject: Re: bug#13151: 24.2; tramp with ido: enters self-killing loop when opening /ftp: and hitting enter.

From: Michael Albinus <[email-masked]>
Date: Thu, 13 Dec 2012 17:29:37 +0100

Arne Babenhauserheide <[email-masked]> writes:

> Can’t tramp find out itself, that it is confused?

Not so easy. There could be good reasons not to connect: timeouts,
connection interrupts, whatever. Sometimes it is better to let Tramp
resynchronize.

For example, there's an ongoing work to integrate mosh into Tramp. This
would allow to reconnect automatically, even if your laptop has been
offline for a while, and you have moved from work to home.

> I can now clean it, but every new user will be pretty confused…

I know :-( But I have no better recipe.

Could we agree to close this bug?

> Best wishes,
> Arne

Best regards, Michael.